from setuptools import setup, find_packages

setup(
    name = 'summa-visualization',
    packages = find_packages(),
    package_data = {
        'visualization': ['README', 'LICENSE']
    },
    version = '0.1.0-beta',
    description = 'A visualization for the graphs generated by summa.',
    author = 'Federico Barrios, Federico Lopez',
    author_email = 'summanlp@gmail.com',
    url = 'https://github.com/summanlp/summa-visualization',
    download_url = 'https://github.com/summanlp/summa-visualization/tarball/v0.1.0',
    keywords = ['summa', 'nlp', 'summarization', "NLP", "natural language processing", "automatic summarization",
        "keywords", "summary", "textrank", "pagerank", "visualization", "export"],
    install_requires=[
        'networkx >= 1.11, < 2.0',
        'pygraphviz >= 1.3, < 2.0',
        'summa == 0.1.0'
    ],
    python_requires = '>=2.7, <3.0',
    classifiers = [
        'Development Status :: 4 - Beta',

        'License :: OSI Approved :: MIT License',

        'Intended Audience :: Developers',
        'Intended Audience :: Education',

        'Topic :: Scientific/Engineering :: Information Analysis',
        'Topic :: Text Processing :: Linguistic',

        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 2 :: Only'
    ],
    long_description = open('README').read()
)